# RestySqlite

WIP online sqlite database managment system

- WebAPI implemented.
- Database abstraction is almost done

## How it works

It's a RESTfull application which will allows easy database manipulation. 

### Endpoints

`GET:localhost/api"` - provide json of tables inside database 

`GET:localhost/table_name/` - provide json of columns and their values inside table

`GET:localhost/api/table_name/column_name/` - provide json of values inside column

`GET:localhost/api/table_name/id` - provide json-serilazed value from database

`POST:localhost/api/sqlcommand` - execute sql command to database.

### Example usage

In example scope application is connected to database which have users table.

```bash
$ curl -X POST -d "INSERT INTO users (Name) VALUES ('Max')" http://localhost:5417/api/sqlcommand -i
$ curl -X GET http://localhost:5417/api/users
```

### Manifest of goals

API **will** provide endpoint for each table and table column inside database.

API **will** allow execute any SQL command.

API **will NOT** protect from SQL injections. It's up to user manage security stuff.

API **will NOT** protect itself via password. It's up to user manage security stuff.